ForceFields::MMFF::MMFFDfsbCollection Class Reference

`#include <Params.h>`

## Public Member Functions

const std::pair< bool, const MMFFStbn * > | getMMFFDfsbParams (const unsigned int periodicTableRow1, const unsigned int periodicTableRow2, const unsigned int periodicTableRow3)
| Looks up the parameters for a particular key and returns them. More...

## Static Public Member Functions

static MMFFDfsbCollection * | getMMFFDfsb (const std::string &mmffDfsb="")
| gets a pointer to the singleton MMFFDfsbCollection More...

## Detailed Description

Definition at line 935 of file MMFF/Params.h.

## Member Function Documentation

static MMFFDfsbCollection* ForceFields::MMFF::MMFFDfsbCollection::getMMFFDfsb | ( | const std::string & | mmffDfsb = `""` | ) |

static

gets a pointer to the singleton MMFFDfsbCollection

Parameters

  mmffDfsb | (optional) a string with parameter data. See below for more information about this argument

Returns
  a pointer to the singleton MMFFDfsbCollection

Notes:

- do not delete the pointer returned here
- if the singleton MMFFDfsbCollection has already been instantiated and `mmffDfsb` is empty, the singleton will be returned.
- if `mmffDfsb` is empty and the singleton MMFFDfsbCollection has not yet been instantiated, the default parameters (from Params.cpp) will be used.
- if `mmffDfsb` is supplied, a new singleton will be instantiated. The current instantiation (if there is one) will be deleted.

const std::pair<bool, const MMFFStbn *> ForceFields::MMFF::MMFFDfsbCollection::getMMFFDfsbParams | ( | const unsigned int | periodicTableRow1,
|  | const unsigned int | periodicTableRow2,
|  | const unsigned int | periodicTableRow3
| ) |  |

inline

Looks up the parameters for a particular key and returns them.

Returns
  a pointer to the MMFFStbn object, NULL on failure.

Definition at line 959 of file MMFF/Params.h.

The documentation for this class was generated from the following file:

- MMFF/Params.h